<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2007-2008 Bull S.A.S.
  - Contact: jonas-team@objectweb.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: pom.xml 20565 2010-11-08 11:38:20Z benoitf $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.ow2.jonas.osgi</groupId>
    <artifactId>jonas-externals</artifactId>
    <version>5.2.0-M3</version>
    <relativePath>../pom.xml</relativePath>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.ow2.jonas.osgi</groupId>
  <artifactId>javaee-api</artifactId>
  <packaging>bundle</packaging>
  <name>JOnAS :: Libraries :: Externals :: Java EE API</name>

  <dependencies>

    <!-- OW2 Java EE Specs -->
    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-ejb-3.0-spec</artifactId>
      <!-- TODO: Need to choose the JAX-RPC API to use  -->
      <!-- Currently this is Axis -->
      <exclusions>
        <exclusion>
          <groupId>org.apache.geronimo.specs</groupId>
          <artifactId>geronimo-jaxrpc_1.1_spec</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-jpa-1.0-spec</artifactId>
      <version>${ow2.spec.version}</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-connector-1.5-spec</artifactId>
    </dependency>
    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-jta-1.1-spec</artifactId>
    </dependency>
    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-deployment-1.2-spec</artifactId>
    </dependency>
    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-jsr77-1.1-spec</artifactId>
    </dependency>

    <!-- Specs from Apache projects -->
    <dependency>
      <groupId>org.apache.axis</groupId>
      <artifactId>axis-jaxrpc</artifactId>
    </dependency>
    <dependency>
      <groupId>wsdl4j</groupId>
      <artifactId>wsdl4j</artifactId>
      <version>1.6.1</version>
    </dependency>

    <dependency>
      <groupId>org.apache.tomcat</groupId>
      <artifactId>servlet-api</artifactId>
    </dependency>
    <!-- Jetty have a newest JSP/JSTL/EL API jar-->
    <dependency>
      <groupId>org.mortbay.jetty</groupId>
      <artifactId>jsp-api-2.1</artifactId>
      <!-- 6.1.5 is the last version of the JSP API provided by Jetty -->
      <version>6.1.5</version>
      <exclusions>
        <exclusion>
          <groupId>org.mortbay.jetty</groupId>
          <artifactId>servlet-api-2.5</artifactId>
        </exclusion>
      </exclusions>
    </dependency>

    <!-- 'External deps' -->
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-jaxr_1.0_spec</artifactId>
      <version>1.1</version>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-ws-metadata_2.0_spec</artifactId>
      <version>1.1.2</version>
    </dependency>
    <!-- The Stax 1.0 API from servicemix is OSGi friendly and
         solves classloading issues -->
    <dependency>
      <groupId>org.apache.servicemix.specs</groupId>
      <artifactId>org.apache.servicemix.specs.stax-api-1.0</artifactId>
      <version>1.5.0</version>
    </dependency>
    <dependency>
      <groupId>javax.security</groupId>
      <artifactId>jacc</artifactId>
    </dependency>
    <dependency>
      <groupId>javax.mail</groupId>
      <artifactId>mail</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-jms_1.1_spec</artifactId>
    </dependency>
	<dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-jaxws_2.1_spec</artifactId>
      <version>1.0</version>
    </dependency>
    <!-- The JAXB 2.1 API from servicemix is OSGi friendly and
         solves classloading issues -->
    <dependency>
      <groupId>org.apache.servicemix.specs</groupId>
      <artifactId>org.apache.servicemix.specs.jaxb-api-2.1</artifactId>
      <version>1.2.0</version>
      <exclusions>
        <!-- Do not include as transitive dependencies already included jars -->
        <exclusion>
          <groupId>org.apache.servicemix.specs</groupId>
          <artifactId>org.apache.servicemix.specs.stax-api-1.0</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.apache.geronimo.specs</groupId>
          <artifactId>geronimo-activation_1.1_spec</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>  
      <groupId>javax.xml.soap</groupId>  
      <artifactId>com.springsource.javax.xml.soap</artifactId>  
      <version>1.3.0</version> 
    </dependency>
<!--
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-saaj_1.3_spec</artifactId>
    </dependency>
-->
    <dependency>
      <groupId>javax.faces</groupId>
      <artifactId>jsf-api</artifactId>
    </dependency>
    <!-- Some messages of the implementation are in the javax.faces namespace, -->
    <!-- So it's here but we're not exporting implementation package here -->
    <dependency>
      <groupId>javax.faces</groupId>
      <artifactId>jsf-impl</artifactId>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <!-- Create the assembly including TLD files-->
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-assembly-plugin</artifactId>
        <executions>
          <execution>
            <id>generate-tld-assembly</id>
            <phase>package</phase>
            <goals>
              <goal>attached</goal>
            </goals>
            <configuration>
              <descriptors>
                <descriptor>src/main/assembly/assembly.xml</descriptor>
              </descriptors>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>
